<div class="card">
    <div class="card-header">
        <h3 class="card-title">@lang('cms::admin.category_list')</h3>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                    title="Collapse">
                <i class="fas fa-minus"></i></button>
        </div>
    </div>
    <div class="card-body">
        <ul class="list-style-none">
            @foreach($categories as $key => $category)
                <li>

                    <div class="custom-control custom-checkbox">
                        <input type="checkbox"
                               @if(is_array($selectedCategories) && in_array($category->id, $selectedCategories)) checked
                               @endif
                               name="category[{{$category->id}}]"
                               class="custom-control-input" id="category-checkbox-{{$key}}-{{$category->id}}">
                        <label class="custom-control-label"
                               for="category-checkbox-{{$key}}-{{$category->id}}">{{$category->adminLocalization->title?? 'No title'}}</label>
                    </div>

                    @if($category->adminChildrenCategories->isNotEmpty())
                        <ul class="list-style-none">
                            @foreach($category->adminChildrenCategories as $key2=> $subCategory)
                                <li>

                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox"
                                               @if(is_array($selectedCategories) &&  in_array($subCategory->id, $selectedCategories)) checked
                                               @endif
                                               name="category[{{$subCategory->id}}]"
                                               class="custom-control-input" id="category-checkbox-{{$key}}-{{$key2}}-{{$category->id}}"/>
                                        <label class="custom-control-label"
                                               for="category-checkbox-{{$key}}-{{$key2}}-{{$category->id}}">{{$subCategory->adminLocalization->title?? 'No title' }}
                                        </label>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    @endif
                </li>
            @endforeach
        </ul>
    </div>
</div>


