@extends('cms::admin.layouts.app')

@section('content')
    <form method="post" action="{{ route('cms.admin-users.store') }}" class="card" autocomplete="off"
          @submit="validateBeforeSubmit">
        @csrf
        <div class="card-body">
            <fieldset>
                @component('cms::components.input')
                    @slot('key', 'name')
                    @slot('placeholder', 'Name')
                    @slot('validate', 'required')
                    @slot('value', old('name'))
                @endcomponent

                @component('cms::components.input')
                    @slot('key', 'email')
                    @slot('type', 'email')
                    @slot('placeholder', 'Email')
                    @slot('validate', 'required')
                    @slot('value', old('email'))
                @endcomponent

                @component('cms::components.input')
                    @slot('key', 'password')
                    @slot('type', 'password')
                    @slot('placeholder', 'Password')
                    @slot('validate', 'required')
                    @slot('value', old('password'))
                @endcomponent

                @if(!in_array('admin-user-settings', config('cms.excluded_components')))
                    @component('cms::components.select')
                        @slot('key', 'lang')
                        @slot('placeholder', 'Lang')
                        @slot('value', old('lang'))
                        @slot('attributes', ['required'])
                        @slot('options', locales_select())
                    @endcomponent

                    @component('cms::components.checkbox')
                        @slot('key', 'roles[]')
                        @slot('placeholder', 'Roles')
                        @slot('value', null)
                        @slot('validate', 'required')
                        @slot('options', getRoles())
                    @endcomponent

                    @component('cms::components.radio')
                        @slot('key', 'is_active')
                        @slot('placeholder', 'Is active?')
                        @slot('value', old('is_active'))
                        @slot('validate', 'required')
                        @slot('options', ['1' => 'yes', '0' => 'no'])
                    @endcomponent
                @endif

            </fieldset>
        </div>
        <div class="card-footer text-right">
            <button class="btn btn-success">Save</button>
        </div>
    </form>
@endsection
